package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cur;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CurMapper {

    int insert(Cur record);

    int insertSelective(Cur record);

    int updateByPrimaryKeySelective(Cur record);

    int updateByPrimaryKey(Cur record);

    int deleteByPrimaryKey(Cur record);

    int deleteByIds(Collection<Object> collection);

    Cur selectByPrimaryKey(Cur record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cur> dyncRead(Map<String,Object> dyncMap);

    Cur getCurByCodeAndEty(@Param(value = "argSql") String argSql);

    Cur queryById(String inr);

    List<Cur> queryAllByLimit(Cur record);

    long count(Cur record);

    int insertCur(Cur record);

    int insertBatch( List<Cur> entities);

    int insertOrUpdateBatch( List<Cur> entities);

    int update(Cur record);

    int deleteById(String inr);

    String getVersionByInr(String inr);

    int queryCod(String cod);

    int queryByIdSum(String inr);

    Cur selectByCod(Cur record);

}